com.groupdocs.conversion.config

## Class ConversionConfig

- java.lang.Object
- - com.groupdocs.conversion.config.ConversionConfig

-     public class ConversionConfig
      extends Object

  Instantiate this class to set conversion configuration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversionConfig()` Instantiate ConversionConfig class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCachePath()` Get or Set the Conversion cache path
    `int` | `getCacheTimeOut()` Cache timeout in minutes.
    `com.aspose.ms.System.Collections.Generic.List<String>` | `getFontDirectories()`
    `String` | `getLocalesPath()` Get or Set the location of the Locale files default: the same path where the conversion assembly is located
    `String` | `getOutputPath()` Get or Set the conversion output path
    `String` | `getStoragePath()` Get or Set the conversion storage path
    `boolean` | `getUseCache()` Set either the cache should be used or not
    `void` | `setCachePath(String value)` Get or Set the Conversion cache path
    `void` | `setCacheTimeOut(int value)` Cache timeout in minutes.
    `void` | `setLocalesPath(String value)` Get or Set the location of the Locale files default: the same path where the conversion assembly is located
    `void` | `setOutputPath(String value)` Get or Set the conversion output path
    `void` | `setStoragePath(String value)` Get or Set the conversion storage path
    `void` | `setUseCache(boolean value)` Set either the cache should be used or not

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversionConfig

          public ConversionConfig()

      Instantiate ConversionConfig class

  - ### Method Detail

    - #### getStoragePath

          public String getStoragePath()

      Get or Set the conversion storage path

    - #### setStoragePath

          public void setStoragePath(String value)

      Get or Set the conversion storage path

    - #### getOutputPath

          public String getOutputPath()

      Get or Set the conversion output path

    - #### setOutputPath

          public void setOutputPath(String value)

      Get or Set the conversion output path

    - #### getLocalesPath

          public String getLocalesPath()

      Get or Set the location of the Locale files default: the same path where the conversion assembly is located

    - #### setLocalesPath

          public void setLocalesPath(String value)

      Get or Set the location of the Locale files default: the same path where the conversion assembly is located

    - #### getCachePath

          public String getCachePath()

      Get or Set the Conversion cache path

    - #### setCachePath

          public void setCachePath(String value)

      Get or Set the Conversion cache path

    - #### getUseCache

          public boolean getUseCache()

      Set either the cache should be used or not

    - #### setUseCache

          public void setUseCache(boolean value)

      Set either the cache should be used or not

    - #### getCacheTimeOut

          public int getCacheTimeOut()

      Cache timeout in minutes. Default value is 10.

    - #### setCacheTimeOut

          public void setCacheTimeOut(int value)

      Cache timeout in minutes. Default value is 10.

    - #### getFontDirectories

          public com.aspose.ms.System.Collections.Generic.List<String> getFontDirectories()

Copyright © 2017. All rights reserved.